Subject: [Dime] Question: Redirect Agent

From: [email-masked]
Date: Tue, 10 Jun 2008 15:02:14 +0200

Hi,

I've two questions regarding the Diameter Redirect Agent. I would be thanks full, if you could help me. 

If a Diameter node is assigned to act as a Redirect Agent, does it then mean, that the Redirect Agent contains in its realm-based routing table only entries with the 'Local Action' field set to 'Redirect', or is it even possible that the Redirect Agent can also perform 'local' action?

This question comes up, as the Diameter Base Protocol doesn't mention, if every capable diameter node can act as redirect-, relay-, proxy agent at the same time. I have understood, that the role of a diameter node depends only on the 'Local Action' field in the routing table, and therefore there are no special software configuration necessary, to assign a diameter node a special characteristic. What do you think?

Second question:

Is it thinkable, that a redirect agent can also use other information to select the appropriate server, for example routing could based on the Origin-Host AVP and the Destination-Realm AVP and not only on the Destination-Realm AVP?

Abstract:
MUST a redirect agent only use its realm-based routing table or can it use other mechanism to make routing decisions?

Thank you in advance.

Regards,

Bernd

-- 
Psssst! Schon vom neuen GMX MultiMessenger gehört?
Der kann`s mit allen: http://www.gmx.net/de/go/multimessenger
_______________________________________________
DiME mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dime